package com.community.huiju.model;

import java.util.Date;

public class TpMessage {
    private Integer id;

    private Integer ticketId;

    private Integer communityId;

    private String messageType;

    private String adviceType;

    private String modelType;

    private Integer uuid;

    private String uuidType;

    private String source;

    private String messageContent;

    private String status;

    private String result;

    private String meaasgeTypeId;

    private String readStatus;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    /** 缴费项ID **/
    private Integer billId;

    /** 活动Id **/
    private Integer activityId;

    /** 公告Id **/
    private Integer announcementId;
    
    /**
     * 工单状态
     */
    private String ticketStatus;
    
    /**
     * 工单扭转自动添加的内容
     */
    private String content;
    
    /**
     * 已读消息图标
     */
    private String readMessageIcon;
    
    /**
     * 未读消息图标
     */
    private String unreadMessageIcon;
    
    /**
     * 消息详情url链接
     */
    private String messageDetailUrl;
    
    private String messageIconTitle;

    /**
     * 举报ID
     * @return
     */
     private  Integer transactionId;

    public Integer getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(Integer transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getId() {
        return id;
    }


    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTicketId() {
        return ticketId;
    }

    public void setTicketId(Integer ticketId) {
        this.ticketId = ticketId;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType == null ? null : messageType.trim();
    }

    public String getAdviceType() {
        return adviceType;
    }

    public void setAdviceType(String adviceType) {
        this.adviceType = adviceType == null ? null : adviceType.trim();
    }

    public String getModelType() {
        return modelType;
    }

    public void setModelType(String modelType) {
        this.modelType = modelType == null ? null : modelType.trim();
    }

    public Integer getUuid() {
        return uuid;
    }

    public void setUuid(Integer uuid) {
        this.uuid = uuid;
    }

    public String getUuidType() {
        return uuidType;
    }

    public void setUuidType(String uuidType) {
        this.uuidType = uuidType == null ? null : uuidType.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent == null ? null : messageContent.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result == null ? null : result.trim();
    }

    public String getMeaasgeTypeId() {
        return meaasgeTypeId;
    }

    public void setMeaasgeTypeId(String meaasgeTypeId) {
        this.meaasgeTypeId = meaasgeTypeId == null ? null : meaasgeTypeId.trim();
    }

    public String getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(String readStatus) {
        this.readStatus = readStatus == null ? null : readStatus.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public String getTicketStatus() {
        return ticketStatus;
    }
    
    public void setTicketStatus(String ticketStatus) {
        this.ticketStatus = ticketStatus;
    }
    
    public String getContent() {
        return content;
    }
    
    public void setContent(String content) {
        this.content = content;
    }
    
    public String getReadMessageIcon() {
        return readMessageIcon;
    }
    
    public void setReadMessageIcon(String readMessageIcon) {
        this.readMessageIcon = readMessageIcon;
    }
    
    public String getUnreadMessageIcon() {
        return unreadMessageIcon;
    }
    
    public void setUnreadMessageIcon(String unreadMessageIcon) {
        this.unreadMessageIcon = unreadMessageIcon;
    }
    
    public String getMessageDetailUrl() {
        return messageDetailUrl;
    }
    
    public void setMessageDetailUrl(String messageDetailUrl) {
        this.messageDetailUrl = messageDetailUrl;
    }
    
    public String getMessageIconTitle() {
        return messageIconTitle;
    }
    
    public void setMessageIconTitle(String messageIconTitle) {
        this.messageIconTitle = messageIconTitle;
    }

    public Integer getBillId() {
        return billId;
    }

    public void setBillId(Integer billId) {
        this.billId = billId;
    }

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public Integer getAnnouncementId() {
        return announcementId;
    }

    public void setAnnouncementId(Integer announcementId) {
        this.announcementId = announcementId;
    }
}